com.intellectualcrafters.plot.config

## Class Settings

- java.lang.Object
- - com.intellectualcrafters.plot.config.Settings

-     public class Settings
      extends java.lang.Object

  Updater and DB settings

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Settings.DB` Database settings

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `API_URL` API Location
    `static boolean` | `AUTO_CLEAR` Auto clear enabled
    `static int` | `AUTO_CLEAR_DAYS` Days until a plot gets cleared
    `static boolean` | `CUSTOM_API` Use the custom API
    `static boolean` | `DEBUG` Verbose?
    `static boolean` | `DELETE_PLOTS_ON_BAN` Delete plots on ban?
    `static boolean` | `KILL_ROAD_MOBS` Kill road mobs?
    `static boolean` | `KILL_ROAD_MOBS_DEFAULT` Default kill road mobs: true
    `static int` | `MAX_PLOTS` Max allowed plots
    `static boolean` | `METRICS` metrics
    `static int` | `MOB_CAP`
    `static boolean` | `MOB_CAP_ENABLED`
    `static boolean` | `MOB_PATHFINDING` mob pathfinding?
    `static boolean` | `MOB_PATHFINDING_DEFAULT` Default mob pathfinding: true
    `static java.lang.String` | `PLOT_SPECIFIC_RESOURCE_PACK` plot specific resource pack
    `static java.lang.String` | `SCHEMATIC_SAVE_PATH` Schematic Save Path
    `static boolean` | `TITLES`
    `static boolean` | `WORLDGUARD` WorldGuard region on claimed plots

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MOB_CAP_ENABLED

          public static boolean MOB_CAP_ENABLED

    - #### MOB_CAP

          public static int MOB_CAP

    - #### TITLES

          public static boolean TITLES

    - #### SCHEMATIC_SAVE_PATH

          public static java.lang.String SCHEMATIC_SAVE_PATH

      Schematic Save Path

    - #### MAX_PLOTS

          public static int MAX_PLOTS

      Max allowed plots

    - #### WORLDGUARD

          public static boolean WORLDGUARD

      WorldGuard region on claimed plots

    - #### METRICS

          public static boolean METRICS

      metrics

    - #### PLOT_SPECIFIC_RESOURCE_PACK

          public static java.lang.String PLOT_SPECIFIC_RESOURCE_PACK

      plot specific resource pack

    - #### KILL_ROAD_MOBS

          public static boolean KILL_ROAD_MOBS

      Kill road mobs?

    - #### KILL_ROAD_MOBS_DEFAULT

          public static boolean KILL_ROAD_MOBS_DEFAULT

      Default kill road mobs: true

    - #### MOB_PATHFINDING

          public static boolean MOB_PATHFINDING

      mob pathfinding?

    - #### MOB_PATHFINDING_DEFAULT

          public static boolean MOB_PATHFINDING_DEFAULT

      Default mob pathfinding: true

    - #### DELETE_PLOTS_ON_BAN

          public static boolean DELETE_PLOTS_ON_BAN

      Delete plots on ban?

    - #### DEBUG

          public static boolean DEBUG

      Verbose?

    - #### AUTO_CLEAR

          public static boolean AUTO_CLEAR

      Auto clear enabled

    - #### AUTO_CLEAR_DAYS

          public static int AUTO_CLEAR_DAYS

      Days until a plot gets cleared

    - #### API_URL

          public static java.lang.String API_URL

      API Location

    - #### CUSTOM_API

          public static boolean CUSTOM_API

      Use the custom API

  - ### Constructor Detail

    - #### Settings

          public Settings()